import { db } from "../../db/postgre.js";
import { RenoteMuting } from "../entities/renote-muting.js";
import { awaitAll } from "../../prelude/await-all.js";
import { Users } from "../index.js";
export const RenoteMutingRepository = db.getRepository(RenoteMuting).extend({
    async pack (src, me) {
        const muting = typeof src === "object" ? src : await this.findOneByOrFail({
            id: src
        });
        return await awaitAll({
            id: muting.id,
            createdAt: muting.createdAt.toISOString(),
            muteeId: muting.muteeId,
            mutee: Users.pack(muting.muteeId, me, {
                detail: true
            })
        });
    },
    packMany (mutings, me) {
        return Promise.all(mutings.map((x)=>this.pack(x, me)));
    }
});
